Test Run Workflow#
Runs the workflow for an existing contact. Works on draft, inactive, or active. Default run_now is true (runs immediately).
Authorizationstringheaderrequired
Bearer token in the format: Bearer {access_token}
idstringpathrequired
Base64 workflow id from List Workflows
contact_idstringbodyrequired
Numeric contact id or its base64 value
trigger_idstringbody
Trigger id from the saved graph. Optional
trigger_typestringbody
Trigger type from the saved graph. Optional
run_nowbooleanbody
true (default) runs now. false queues the job
curl --request POST \
--url https://app.rizzdial.com/api/Workflow/MQ==/test-run \
--header 'Authorization: Bearer {{bearer_token}}' \
--header 'Content-Type: application/json' \
--data '{"contact_id":"42"}'dataobject
execution_id, execution_status, contact_id, and trigger_type